--	http://muzofon.com/dwl*

function GDL(origUrl)
	logpref = script.name..'_GDL_0005'
	usd.setstatus(logpref:gsub('_GDL_',' '))
	local page, err, wait, artist, title, dirUrl
	script.tmp = {}

	usd.get('http://'..getHost(origUrl)..'/search/ABBA')
	usd.waittime(math.random(1,4))
	page = tryDl(origUrl, nil,nil, '</[Hh][Tt][Mm][Ll]>')
	debugSaveInc(logpref..'.html', page)
	page = utf8ToAnsi(page)

	err = page:match('class="strong%-title">%s*<strong>(.-)<')
		or page:match('</div>%s<h1>(.-)</h1>%s</center>')
	if err then
		if err:find('  ',1, true) then
			return usd.setretresult('%notfound%')
		end
		return usd.setretresult('%Server report: '..err)
	end

	dirUrl = page:match("href='(http://dll%d+%.[^']+)'")

	if not dirUrl then
		local dl = page:match('class="download%-button">%s*<a href="([^"]+)"')
		if not dl then return usd.setretresult('%dl not found') end
		if not dl:find('://',1, true) then dl = 'http://'..getHost(origUrl)..dl end
		artist, title = page:match('class="strong%-title">: <strong>(.-)</strong>(.-)</div>')
		script.tmp.newName = artist:gsub('%-',' ')..' - '..title:gsub('%-',' '):gsub('</?strong>','')
		usd.waittime(math.random(1,4))
		page = tryDl(dl, nil,nil, '</[Hh][Tt][Mm][Ll]>')
		debugSaveInc(logpref..'.html', page)
	end

	dirUrl = page:match("href='(http://dll%d+%.[^']+)'")
	if not dirUrl then return usd.setretresult('%dirUrl not found') end

	if not script.tmp.newName then
		script.tmp.newName = page:match('</a><br /><b>(.-)<')
		script.tmp.newName = script.tmp.newName:gsub('&amp;','&'):gsub('&#%d+;','')
	end
	if script.tmp.newName then usd.setstatus(filterName(script.tmp.newName)) end

	wait = page:match('<span id="errt">(%d+)</span>') or 20
	usd.waittime(wait,7)
	page = usd.head(dirUrl)
	debugSaveInc(logpref..'.html', page)

	if not page:find('Content-Type: audio/mpeg',1, true) then
		usd.relocationmode(0)
		local hdr = 'Range: bytes=0-255'
		setHeader(hdr)
		page = usd.get(dirUrl)
		debugSaveInc(logpref..'.html', page)
		if page == 'Incorrect link code, please return and try search again'
			or page == 'Link has expired' then
			usd.savetolog('Error: '..page)
			return usd.setretresult('%notfound%')
		end
		usd.relocationmode(1)
		setHeader(hdr, true)
	end

	usd.setretresult(dirUrl, math.random(1,4),1)
	return
end


function OS(origUrl, dirUrl, fullName)
	if script.tmp.newName then
		usd.setretresult(fileRename(fullName, script.tmp.newName))
	end
end

regDirSuccess( '//muzofon.com/', GDL, OS )
regDirSuccess( '//muzofon.org/', GDL, OS )
regDirSuccess( '//muzafon.pro/', GDL, OS )

