--	http://www.solidfiles.com/*	--	http://www.solidfiles.net/*

function GDL(origUrl)
	usd.setstatus(script.name)
	logpref = script.name..'_GDL_0011'
	usd.savetolog(': '..logpref:gsub('_GDL_',' '))
	local page, err, folder, dirUrl
	script.tmp={}

	origUrl = origUrl:gsub('%x+$','%1/')
	page = usd.get(origUrl)
	debugSaveInc(logpref..'.html', page)

	if origUrl:find('/folder/',1, true) then
		folder = page:match('</h1>%s*<ul>%s*(<li>.-</li>)%s*</ul>')
		if not folder then
			err = page:match('class="text%-center">%s*<h1>(.-)</div>')
			if err then
				usd.savetolog('Error: '..err:gsub('%s+',' '))
			end
		end

		if folder then
			folder = utf8ToAnsi(folder)
			folder:gsub('</i>%s*<a href="([^"]+)"[^>]+>(.-)</'
			, function(link, name)
				link = 'http://www.'..getHost(origUrl)..link..'  '..name
				usd.savetolog(link);	usd.addquery(link)
			end)
			usd.waittime(2)
			return usd.setretresult('%done%')
		end
		return usd.setretresult('%Folder is empty?')
	end

	dirUrl = page:match('download_url":"https?://(s%d+%.solidfilesusercontent%.[^"]+)"')
			or page:match('downloadUrl":"https?://(s%d+%.solidfilesusercontent%.[^"]+)"')
	if not dirUrl then
		err = page:match('class="text%-center">%s*<h1>(.-)</div>')
			or page:match('class="file clearfix">%s*(.-)%s*<')
			or page:match('GET Error:%s?(.-)%c')
		if err then
			if err == 'Not Found' or err:match('^404') then
				return usd.setretresult('%notfound%')
			end
			return usd.setretresult('Error: '..err:gsub('%s+',' '))
		end
		return usd.setretresult('%dirUrl not found')
	end

	script.tmp.newName = page:match('class="node%-name">(.-)<')

	dirUrl = dirUrl:match('(.-)&amp;') or dirUrl
	usd.setretresult('http://'..dirUrl, math.random(1,4),1)
	return
end


function OS(origUrl, dirUrl, fullName)
	usd.waittime(2)
	if script.tmp.newName then
		usd.setretresult(fileRename(fullName, utf8ToAnsi(script.tmp.newName)))
	end
end

regDirSuccess( 'solidfiles.com/', GDL, OS )
regDirSuccess( 'solidfiles.net/', GDL, OS )

