
function GDL(origUrl) 	-- GetDirectLink
	logpref = script.name .. '_GDL_v03'
	usd.setstatus(script.name)
	local dirUrl, page, badpage, form, uri
	script.tmp={}

	uri = URI.parse(origUrl)

	local acc = Accounts['faaf.tv']
	if acc then
		if script.cookies then
			usd.setcookie(script.cookies)
		else
			local c
			local function fixCookies()
				if (parseHeaders().LOCATION1 or ''):find('//faaf.club/login/lofinfaaf') then
					c = usd.getcookie()
				end
			end

			usd.setreferer(origUrl)
			page = usd.get('http://faaf.tv/login')
			debugSaveInc(logpref..'_login.html', page)
			form = page:match('<form.-</form>')
			form = Form.parse(form, usd.getlocation())
			form.inputs.login = acc[1].login
			form.inputs.password = acc[1].password
			page = urlGet(form.action, {post=form:getinputs(false), fixCookies=fixCookies})
			debugSaveInc(logpref..'_login.html', page)
			script.cookies = c
			usd.setcookie(c)
		end
	end

	page = usd.get(origUrl)
	debugSaveInc(logpref..'.html', page)

	local iframe = page:match('<div class="player">%s*<div class="wpage">.-<div class="name_film_video">')
	iframe = (iframe or ''):match('<iframe[^>]-src="([^"]+)')
	if iframe then
		usd.modquery(uri(iframe)())
		usd.setretresult('%Restarting...',5)
		return
	end

	local newName = filterName(utf8ToAnsi(page:match('<div class="name_film_video">([^<]+)</div>')), true)

	dirUrl = page:match('<div class="player">.-<source[^>]-src="([^"]+)"')

	if not dirUrl then
		local err = page:match('<div class="no_video_view".-<span>([^<]+)</span>')
		err = utf8ToAnsi(err or 'plugindefect')
		usd.setretresult('%'..err)
		return
	end

	dirUrl = uri(dirUrl)()
	dirUrl = addNewName(dirUrl, newName)

	usd.setretresult(dirUrl, math.random(2,4), 1)
end

--function OS(origUrl, dirUrl, fullName)
--	logpref = script.name .. '_OS'
--	return usd.setretresult(fileRename(fullName, script.tmp.newName, -1))
--end


regDirSuccess( '//faaf.tv/video/', GDL, OS)
