
function GDL(origUrl) 	-- GetDirectLink
	logpref = script.name .. '_GDL_v01'
	usd.setstatus(script.name)
	local dirUrl, page, badpage, form, uri
	script.tmp={}

	uri = URI.parse(origUrl)

	usd.setcookie('PHPSESSID='..randomString(26,'%da-z'))

	page = usd.get(origUrl)
	debugSaveInc(logpref..'.html', page)

	local badexts = tableKeys(".bat",".chm",".cmd",".com",".cpl",".exe",".hta",".js",".jse",".lnk",".msi",".msp",".msu",".pif",".reg",".scf",".scr",".sct",".vbe",".vbs",".wsc",".wsf",".wsh")
	local pathext = os.getenv('PATHEXT')
	if pathext then for k, v in ipairs(split(pathext, ';', string.lower)) do badexts[v]=v end end

	script.tmp.newName = filterUtf8(page:match('data%-title="(.-)"'))
	local ext = (script.tmp.newName:match('%.[^.]+$') or ''):lower()
	if badexts[ext] then script.tmp.newName = script.tmp.newName..'.bad' end
	if setPusdName(script.tmp.newName) then return end

	form = page:match('<form action="/[^/]+/getfile".-</form>')
	form = Form.parse(form, origUrl)
	usd.relocationmode(0)
	page = form:submit()
	debugSaveInc(logpref..'.html', page)

	local h = parseHeaders()
	dirUrl = h.LOCATION1:match('http://[^/]+/go/%x+/'..form.inputs.hash)

	if not dirUrl then
		page = usd.get(h.LOCATION1)
		debugSaveInc(logpref..'.html', page)
		dirUrl = page:match('http://[^/]+/go/%x+/'..form.inputs.hash)
	end

	debugSaveInc(logpref..'.html', usd.head(dirUrl))
	if parseHeaders().TYPE ~= 'application/octet-stream' then return usd.setretresult('%plugindefect') end

	usd.setretresult(dirUrl, math.random(2,4), 1)

end

function OS(origUrl, dirUrl, fullName, headers)
	logpref = script.name .. '_OS'
	return usd.setretresult(fileRename(fullName, script.tmp.newName))
end


regDirSuccess( '//file-7.ru/', GDL, OS)
