local RTMPGW = Settings['<rtmpgw>']
local player = 'http://releases.flowplayer.org/swf/flowplayer-3.2.16.swf'

function GDL(origUrl) 	-- GetDirectLink
	logpref = script.name .. '_GDL_v02'
	usd.setstatus(script.name)
	local dirUrl, page, badpage, form, uri
	script.tmp={}

	if not RTMPGW then
		local err = "%Settings['<rtmpgw>'] is not found in "..plg.plgname.."_settings.lua"
		usd.setstatus(err)
		usd.savetolog(err)
		return usd.setretresult(err)
	end
	debugSaveInc(logpref..'.html', usd.get(RTMPGW.gateway), 'Checking rtmpgw')
	if not usd.getheaders():find('Server: HTTP-RTMP Stream Server',1,true) then
		plg.exec(RTMPGW.gatewayCmd, false, RTMPGW.gatewayCmdFlags)
		usd.waittime(RTMPGW.gatewayCmdPause)
		debugSaveInc(logpref..'.html', usd.get(RTMPGW.gateway))
		if not usd.getheaders():find('Server: HTTP-RTMP Stream Server',1,true) then
			return usd.setretresult('%rtmpgw not found')
		end
	end


	page = usd.get(origUrl)
	debugSaveInc(logpref..'.html', page)


	local tmp = page:match('<div class="musicBox">%s*<a[^>]+')
	local url = tmp:match('data%-url="(.-)"')
	script.tmp.newName = filterUtf8(tmp:match('data%-text="(.-)"'))
	url = 'mp4:vod156/'..url
	dirUrl = ('%s?W=%s&r=%s&a=%s&y=%s&v'):format(RTMPGW.gateway, escapeUC(player), escapeUC('rtmp://flv.ccdntech.com'), escapeUC('vod/'), escapeUC(url) )

	usd.setretresult(dirUrl, math.random(2,4), 0)
end

function OS(origUrl, dirUrl, fullName, headers)
	logpref = script.name .. '_OS'
	return usd.setretresult(fileRename(fullName, script.tmp.newName, getProperExt(fullName) or -1))
end


regDirSuccess( '.rti.org.tw/program/', GDL, OS, SU)

if RTMPGW then
	local cPart = false
	regCheckError(RTMPGW.gateway .. '?W='..escapeUC(player),
		function() if cPart then usd.setretresult(1) end end,
		function() cPart = true; usd.setretresult(1) end
	)

	regDestroy(function()
		if RTMPGW.gatewayKillCmd then
			plg.exec(RTMPGW.gatewayKillCmd, true, RTMPGW.gatewayKillCmdFlags or SW_SHOWMINNOACTIVE)
		end
	end)
end
