
function GDL(origUrl) 	-- GetDirectLink
	logpref = script.name .. '_GDL_v04'
	usd.setstatus(script.name)
	local dirUrl, page, badpage, form, uri
	script.tmp={}

	uri = URI.parse(origUrl)

	page = usd.get((origUrl:gsub('^http://','http://https..')))
	local data = page:match('var _preloaded_transfer_ = ({.-});')
	data = parseJsObject(data or '', {noNumVals=true})
	debugSaveInc(logpref..'.html', page, serialize(data,nil,true))
	local ref = usd.getlocation():gsub('http://https%.%.', 'https://')

	usd.waittime(2, 2)

	script.tmp.newName = filterUtf8(data.files[1].name)

	setXHR()
	usd.setreferer(ref)
	page = usd.get(('http://wetransfer.com/api/ui/transfers/%s/%s/download'):format(data.id,data.security_hash))
	data = parseJsObject(page)
	debugSaveInc(logpref..'.html', page, serialize(data,nil,true))
	setXHR(true)

	dirUrl = data.direct_link:gsub('^https://','http://')
	dirUrl = addNewName(dirUrl, script.tmp.newName)

	usd.setreferer(ref)
	usd.setretresult(dirUrl, math.random(2,4), 1)
	return
end

function OS(origUrl, dirUrl, fullName)
	logpref = script.name .. '_OS'
	return usd.setretresult(fileRename(fullName, script.tmp.newName))
end


regDirSuccess( '.wetransfer.com/downloads/', GDL, OS)
regDirSuccess( '//we.tl/', GDL, OS)
