
function GDL(origUrl) 	-- GetDirectLink
	logpref = script.name .. '_GDL_v02'
	usd.setstatus(script.name)
	local dirUrl, page, badpage, form, uri
	script.tmp={}

	local conf = Settings[script.name] or {chunkedDownload=false,chunkSize=1024*1024}
	conf.qualityList = conf.qualityList or {'mp4High', 'flv', 'mp4Low'}

	uri = URI.parse(origUrl)
	origUrl = uri()


	page = usd.get(origUrl)
	local data = entityDecode(page:match('flashvars="(.-)"') or '')
	data = splitKV(data, '=', '&', function(t,k,v) t[k]=tonumber(v) or unescape(v) return t end)
	data.mp4Low_url = page:match("setVideoUrlLow%('(.-)'")
	data.mp4High_url = page:match("setVideoUrlHigh%('(.-)'")
	data.related = nil
	debugSaveInc(logpref..'.html', page, serialize(data,nil,true))

	script.tmp.newName = filterUtf8(page:match('<title>([^<]-) %- XVIDEOS.COM</title>'))

	local fmt = (uri.fragment or ''):match('^fmt=(%w+)')

	if not fmt then
		for k, v in ipairs(conf.qualityList) do
			dirUrl = data[v..'_url']
			if dirUrl then
				fmt = v
				break
			end
		end
	end
	dirUrl = data[fmt..'_url']

	usd.modquery(origUrl..'#fmt='..fmt)

	if conf.chunkedDownload then
		local restart, info = chunkedDownload(dirUrl, script.tmp.newName, {chunkSize=conf.chunkSize, chunkPause=conf.chunkPause, referer=origUrl})
		if restart then return end
	end

	usd.setretresult(dirUrl, 1, 1)
end

function OS(origUrl, dirUrl, fullName)
	logpref = script.name .. '_OS'
	return usd.setretresult(fileRename(fullName, script.tmp.newName, -1))
end


regDirSuccess( '.xvideos.com/', GDL, OS)
