
function GDL(origUrl) 	-- GetDirectLink
	logpref = script.name .. '_GDL_v02'
	usd.setstatus(script.name)
	local dirUrl, page, badpage, form, uri
	script.tmp={}

	uri = URI.parse(origUrl)

	page = usd.get(origUrl)
	debugSaveInc(logpref..'.html', page)

	usd.waittime(2, 2)

	local ref = usd.getlocation()
	setXHR()
	page = usd.get('http://alfafile.net/download/start_timer/'..uri.p[2])
	local data = parseJsObject(page)
	debugSaveInc(logpref..'.html', page, serialize(data,nil,true))
	setXHR(true)

	if data.html:find('downloaded by premium users only') then return usd.setretresult('%notfound%') end

	local wait = data.html:match('Try again in (%d+) minutes')
	if wait then return usd.setretresult('%Server report: You need wait ' .. wait*60 .. ' seconds') end

	usd.waittime(data.timer)
	usd.setreferer(ref)
	page = usd.get(data.redirect_url)
	debugSaveInc(logpref..'.html', page)

	form = page:match( '<form class="code%-box".-</form>' )
	form = Form.parse(form, usd.getlocation())
	local _, feedback
	_,_,_, feedback = querySolvemedia({form=form, check = true})
	page = form:submit()
	debugSaveInc(logpref..'.html', page)


	local err = page:match('<h3>Error!</h3>%s*<ul>(.-)</ul>')
	if err then
		err = utf8ToAnsi(trim((err:gsub('%b<>',' '):gsub('%s%s+',' '))))
		if err=='Invalid captcha' and feedback and feedback.complain then feedback.complain() end
		usd.setretresult('%'..err)
		return
	end

	dirUrl = page:match('href="(http://[%da-z]+%.alfafile%.net/dl/[^"]+)"')
	if dirUrl and feedback and feedback.ok then feedback.ok() end

	usd.setretresult(dirUrl, math.random(2,4), 1)

end

--function OS(origUrl, dirUrl, fullName, headers)
--	logpref = script.name .. '_OS'
--	return usd.setretresult(fileRename(fullName, script.tmp.newName, -1))
--end


regDirSuccess( '//alfafile.net/', GDL, OS, SU)
