
function GDL(origUrl) 	-- GetDirectLink
	logpref = script.name .. '_GDL_v08'
	usd.setstatus(script.name)
	local dirUrl, page, badpage, form, uri, data
	script.tmp={}

	uri = URI.parse((origUrl:gsub('/embed/','/')))
	origUrl = uri()

	usd.setreferer(origUrl)

	page = usd.get(uri('?__a=1')())
	data = parseJsObject(page)
	if ((data or {}).media or {}).likes then data.media.likes='<del>' end
	if ((data or {}).media or {}).comments then data.media.comments='<del>' end
	debugSaveInc(logpref..'.html', page, serialize(data or '<nil>', nil, true))

	if parseHeaders().CODE==404 then return usd.setretresult('%notfound%') end

	if data.media then
		data = data.media
		--script.tmp.newName = filterUtf8(('%s-%s-%s'):format(data.owner.username, data.date, trim((data.caption or ''):match('^[^#]*'))))
		script.tmp.newName = filterUtf8(('%s-%s-%s'):format(data.owner.username, data.date, trim((data.caption or ''))))
		dirUrl = (data.video_url or data.display_src)
		dirUrl = dirUrl:gsub('^https:','http:'):gsub('%.com/t.-(/[^/]+)$','.com/t%1')
		usd.setretresult(dirUrl, 0, 1)
		return
	end

	local userid = data.user.id
	local max = data.user.media.count
	local added = 0
	for i=1, 100 do
		usd.setstatus(added..' / '..max)
		usd.setreferer(origUrl)
		local csrf = usd.getcookie():match('csrftoken=([^;]+)')
		local headers = {'X-Instagram-AJAX: 1', 'X-CSRFToken: '..csrf}
		local post = '%simple%q=ig_user('..userid..'){media.after('..(i==1 and 0 or data.media.page_info.end_cursor)..',100){nodes{caption,code},page_info}}'
		data = urlGet('https://www.instagram.com/query/',{https=true, json=true, xhr=true, post=post, headers=headers, logpref=logpref})

		for k, v in ipairs(data.media.nodes) do
			--local tmp = v.caption and (filterUtf8(v.caption:match('^([^%c#]*)') or ''):sub(1,128))
			local tmp = v.caption and (filterUtf8(v.caption:match('^([^%c]*)') or ''):sub(1,128))
			tmp = tmp and #tmp>0 and tmp~="_" and '#'..pad2(v.code,('W'):rep(9))..tmp or ''
			usd.addquery('http://instagram.com/p/'..v.code..'/'..tmp)
			added = added+1
		end
		if not data.media.page_info.has_next_page then break end
	end

	usd.setretresult('%done%')

end

function OS(origUrl, dirUrl, fullName)
	logpref = script.name .. '_OS'
	return usd.setretresult(fileRename(fullName, script.tmp.newName, -1))
end

function SU(url)
	local uri = URI.parse(url)
	if #uri.p<=1 then return true end
end

regDirSuccess( {'//instagram.com/', '.instagram.com/', '//instagr.am/'}, GDL, OS, {fnSkipUrl = SU})
