
function GDL(origUrl)
	--https://workupload.com/file/fileid
	--https://workupload.com/archive/folderid
	local uri, name, size, id, page
	if origUrl:match('/archive/([^/]+)') then
		id = origUrl:match('/archive/([^/]+)')
			if not id then
			usd.savetolog('! folder id not found')
			usd.setretresult('%notfound%')
			return
		end
		page=usd.get(origUrl)
		debugSaveInc(script.name..'.html', page)
		if page:match('Error message: Archive not found') then return usd.setretresult('%notfound%') end
		--<tr>$0A<td><a href="/file/nEwhMVIx" target="_blank">filename.ext</a></td>$0A<td>869.05 KB</td>$0A</tr>
		if page:find('<td><a href="/file/') then
			debugLog('! This links seems to be a folder?')
			--http://linuxru.org/blog-xxblx/343 - patterns
			for i in page:gmatch('<td><a href=([^*]-)</tr>') do
				uri='http://workupload.com'..i:match('"([^"]+)')
				name=i:match('"_blank">([^*]+)</a>')   
				usd.addquery(uri..' - '..name)				
				--variant for show file names and size in dialog window (for zusdluahttpswrapper.plg):
				--size=i:match('<td>([^*]+)</td>')
				--usd.addquery(uri..'|'..name..' - '..size)
				debugLog(uri..' - '..name)
			end
		else
			usd.savetolog('! Empty folder?')
		end
		usd.setretresult('%done%')
		usd.waittime( math.random(2,4) )
		return
	end
	--uri = URI.parse(origUrl) 	
	id = origUrl:match('/file/([^/]+)')
		--or origUrl:match('/start/([^/]+)') - don't work?
		--or origUrl:match('/api/file/getDownloadServer/([^/]+)') - don't work?
	if not id then
		usd.savetolog('! file id not found')
		usd.setretresult('%notfound%')
		return
	end
	
	page=usd.get(origUrl)
	debugSaveInc(script.name..'.html', page)
	if page:match('Error message: File not found') then return usd.setretresult('%notfound%') end	
	usd.waittime( math.random(2,4) )

	usd.setreferer('https://workupload.com/file/'..id)
	page=usd.get('https://workupload.com/start/'..id)
	debugSaveInc(script.name..'.html', page)
	usd.waittime( math.random(2,4) )

	usd.setreferer('https://workupload.com/start/'..id)
	page=usd.get('https://workupload.com/api/file/getDownloadServer/'..id)
	debugSaveInc(script.name..'.html', page)
	--{"success":true,"data":{"url":"https:\/\/s*.workupload.com\/download\/fileid"}}
	local dirUrl = page:match('"url":"([^"]+)"')
	if dirUrl == nil then return usd.setretresult('%notfound%') end
	usd.setstatus('GDL ok')
	--usd.setreferer('https://workupload.com/start/'..id)
	usd.setretresult(dirUrl:gsub('\92/','/'), math.random(2,4), 1)
end

regDirSuccess( '//workupload.com/file/', GDL, OS)
regDirSuccess( '//workupload.com/archive/', GDL, OS)
