
function GDL(origUrl) 	-- GetDirectLink
	logpref = script.name .. '_GDL_v01'
	usd.setstatus(script.name)
	local dirUrl, page, badpage, form, uri
	script.tmp={}

	local conf = Settings[script.name] or {qualityList = {1080, 720, 480, 360, 240}}
	debugLog('conf='..serialize(conf,nil,nil,true))

	local fmt = tonumber(origUrl:match('#fmt=(%d+)'))
	uri = URI.parse(origUrl)
	origUrl = uri()

	page = usd.get(origUrl)
	debugSaveInc(logpref..'.html', page)

	local name = page:match('<meta itemprop="name" content="([^"]+)')
	name = filterUtf8(name)

	local available, id = {}, nil
	for i, q in page:match('id="download%-links"><ul>.-</ul>'):gmatch('<button[^>]-data%-id="(%d+)"[^>]-data%-quality="(%d+)"') do
		id = i
		table.insert(available,1,tonumber(q))
	end

	local origin = 'Origin: http://www.porntube.com'
	setHeader(origin)

	page = usd.post(('http://tkn.porntube.com/%s/desktop/%s'):format(id, table.concat(available,'+')), '%simple%')
	local data = parseJsObject(page)
	debugSaveInc(logpref..'.html', page, serialize(data,nil,true))
	setHeader(origin, true)

	dirUrl = fmt and data[fmt] and data[fmt].token

	if not dirUrl then
		for k, v in ipairs(conf.qualityList) do
			if data[v] then
				fmt = v
				dirUrl = data[v].token
				break
			end
		end
	end

	usd.modquery(origUrl..'#fmt='..fmt)

	dirUrl = addNewName(dirUrl, name, nil, nil, -1)

	usd.setreferer(origUrl)
	usd.setretresult(dirUrl, math.random(2,4), 1)
end

--function OS(origUrl, dirUrl, fullName, headers)
--	logpref = script.name .. '_OS'
--	return usd.setretresult(fileRename(fullName, script.tmp.newName, -1))
--end


regDirSuccess( '.porntube.com/', GDL, OS)
