
function GDL(origUrl) 	-- GetDirectLink
	logpref = script.name .. '_GDL_v01'
	usd.setstatus(script.name)
	local dirUrl, page, badpage, form, uri
	script.tmp={}

	local conf = Settings[script.name] or {qualityList = {720, 480, 360}}
	debugLog('conf='..serialize(conf,nil,nil,true))

	uri = URI.parse(origUrl)
	local fmt = tonumber((uri.fragment or ''):match('^fmt=(%d+)'))
	origUrl = uri()

	page = usd.get(origUrl)
	local data = parseJsObject(page:match('var serverVm = .-</script>') or '')
	debugSaveInc(logpref..'.html', page, serialize(data or '<nil>',nil,true))

	usd.setreferer(origUrl)

	usd.setcookie(usd.getcookie()..'; videojs_vol=1; videojs_muted=false')

	local videos = {}
	for k, v in ipairs(data.Video.Files) do videos[v.Resolution] = v.Url:gsub('^https://','http://https..') end

	if not fmt then
		for k, v in ipairs(conf.qualityList) do
			if videos[v] then
				fmt = v
				break
			end
		end
	end

	script.tmp.newName = filterUtf8(data.Video.Title)

	dirUrl = addNewName(videos[fmt], script.tmp.newName)
	usd.setretresult(dirUrl,1,1)
	usd.modquery(origUrl..'#fmt='..fmt)

end

function OS(origUrl, dirUrl, fullName, headers)
	logpref = script.name .. '_OS'
	return usd.setretresult(fileRename(fullName, script.tmp.newName, getProperExt(fullName) or -1))
end


regDirSuccess( '//radikal.ru/video/', GDL, OS, SU)
