
function GDL(origUrl) 	-- GetDirectLink
	logpref = script.name .. '_GDL_v08'
	usd.setstatus(script.name)
	local dirUrl, page, badpage, form, uri
	script.tmp={}

	uri = URI.parse(origUrl)

	local id = uri.p[2]
	local ref = 'https://m.sendspace.com/file/'..id
	usd.setreferer(ref)
	page = usd.get('http://api.sendspace.com/rest/?method=anonymous.fileInfo&file_id='..id)
	debugSaveInc(logpref..'.html', page)

	local err = page:match('<error[^>]+>')
	if err then
		local errcode, errtext = tonumber(err:match('code="(%d+)"')), err:match('text="([^"]+)"')
		if errcode==9 then errtext = 'notfound%' end
		return usd.setretresult('%'..errtext)
	end

  	local tmp = page:match('<file[^>]-name="([^"]+)"')
  	script.tmp.newName = filterUtf8(unescape(tmp))

	usd.waittime(2, 2)

	usd.setreferer(ref)
	page = usd.get('http://api.sendspace.com/rest/?method=anonymous.directLink&info=prefer_free&file_id='..id)
	debugSaveInc(logpref..'.html', page)

	dirUrl = page:match('<download>([^<]+)'):gsub('^https:','http:')

	usd.setretresult(dirUrl, math.random(2,4), 1)
end

function OS(origUrl, dirUrl, fullName)
	logpref = script.name .. '_OS'
	return usd.setretresult(fileRename(fullName, script.tmp.newName))
end

regDirSuccess('.sendspace.com/file/', GDL, OS)
