
function GDL(origUrl) 	-- GetDirectLink
	logpref = script.name .. '_GDL_v04'
	usd.setstatus(script.name)
	local dirUrl, page, badpage, form, uri

	--Storage[script.name] = Storage[script.name] or {}
	--local st = Storage[script.name]

	local conf = tableCombine({checkRecaptcha=true, freeDelay=60*60}, Settings[script.name] or {})
	debugLog('conf='..serialize(conf,nil,nil,true))

    local function fixCookies()
            local c = splitKV(usd.getcookie(),'=',';')
            for k, v in pairs(c) do if v=='deleted' then c[k]=nil end end
            usd.setcookie(tableConcat(c,'=','; '))
    end

	origUrl = origUrl:gsub('uploadable%.ch/','bigfile.to/')

	page = usd.get(origUrl)
	debugSaveInc(logpref..'.html', page)
	fixCookies()

	local err = page:match('<div class="icon_err">%s*<h1>([^<]+)')
	if err then
		if err=='This file is no longer available.' then err = 'deleted%' end
		return usd.setretresult('%'..err)
	end

	local url = usd.getlocation()
	uri = URI.parse(url)
	local data = {referer=url, xhr=true, https=true, logpref = logpref, fixCookies=fixCookies}
	debugSaveInc(logpref..'.html', urlGet('https://www.bigfile.to/now.php', data) )

	script.tmp={}
	usd.waittime(2, 2)

	data.post='%simple%downloadLink=wait'
	page = urlGet(url, data)
	data.post = nil
	debugSaveInc(logpref..'.html', page, 'wait')

	local wait = page:match('"waitTime":(%d+)') or 90
	usd.waittime(wait)

	data.post = '%simple%checkDownload=check'
	page = urlGet(url, data)
	data.post = nil
	debugSaveInc(logpref..'.html', page, 'check')
	local err = page:match('"fail":"([^"]+)"')
	if err then
		data.post='%simple%checkDownload=showError&errorType='..err
		page = urlGet(url, data)
		data.post = nil
		debugSaveInc(logpref..'.html', page, 'showError')
		if err=="timeLimit" and conf.freeDelay then
			if Timeout.get(script.name) then return end
		end
		usd.setretresult('%'..err)
		return
	end

	form = Form.make{
		action = 'http://https..www.bigfile.to/checkReCaptcha.php'
		, method='POST'
		, inputs={recaptcha_shortencode_field=uri.p[2]}
		, referer=url
	}
	queryReCaptcha({key='6LfZ0RETAAAAAOjhYT7V9ukeCT3wWccw98uc50vu', form=form, check=conf.checkRecaptcha, reload=true})
	page = form:submit()
	debugSaveInc(logpref..'.html', page)
	fixCookies()

	if not page:find('"success":1') then return usd.setretresult('%captcha error?') end

	data.post = '%simple%downloadLink=show'
	page = urlGet(url, data)
	data.post = nil
	debugSaveInc(logpref..'.html', page, 'show')

	if page=='fail' then return usd.setretresult('%plugindefect') end

	usd.waittime(2,2)

	usd.relocationmode(0)
	usd.setreferer(url)

	data.post = '%simple%download=normal'
	data.tries = 1
	page = urlGet(url, data)
	data.post = nil
	debugSaveInc(logpref..'.html', page, 'normal')
	usd.setretresult(parseHeaders().LOCATION1, 1, 1)

	if conf.freeDelay then Timeout.set(script.name, conf.freeDelay) end

	return
end

--function OS(origUrl, dirUrl, fullName)
--	logpref = script.name .. '_OS'
--	return usd.setretresult(fileRename(fullName, script.tmp.newName))
--end


regDirSuccess( '.uploadable.ch/file/', GDL, OS)
regDirSuccess( '//uploadable.ch/file/', GDL, OS)
regDirSuccess( '.bigfile.to/file/', GDL, OS)
