
function GDL(origUrl) 	-- GetDirectLink
	logpref = script.name .. '_GDL_v04'
	usd.setstatus(script.name)
	local dirUrl, page, badpage, form, uri
	script.tmp={}

	local id = origUrl:match('//vine.co/v/(%w+)')
	usd.setreferer(origUrl)
	page = usd.get('http://https..archive.vine.co/posts/'..id..'.json')
	data = parseJsObject(page)
	debugSaveInc(logpref..'.html', page, serialize(data or {}, nil, true))

	local h = parseHeaders()
	if h.CODE~=200 then return usd.setretresult('%'..h.REASON) end

	local newName = filterUtf8(data.username..'-'..(data.description or ''):match('([^#]*)') ..'-'..id)
	dirUrl = data.videoUrl:gsub('^https:','http:')
	dirUrl = addNewName(dirUrl, newName)

	usd.setretresult(dirUrl, math.random(2,4), 1)
end

--function OS(origUrl, dirUrl, fullName)
--	logpref = script.name .. '_OS'
--	return usd.setretresult(fileRename(fullName, script.tmp.newName, -1))
--end


regDirSuccess( '//vine.co/', GDL, OS)
